package de.intevation.flys.importer;

public class ImportAnnotation
implements   Comparable<ImportAnnotation>
{
    protected ImportAttribute attribute;
    protected ImportPosition  position;
    protected ImportRange     range;

    public ImportAnnotation() {
    }

    public ImportAnnotation(
        ImportAttribute attribute,
        ImportPosition  position,
        ImportRange     range
    ) {
        this.attribute = attribute;
        this.position  = position;
        this.range     = range;
    }

    public int compareTo(ImportAnnotation other) {
        int d = attribute.compareTo(other.attribute);
        if (d != 0) {
            return d;
        }

        if ((d = position.compareTo(other.position)) != 0) {
            return d;
        }

        if ((d = range.compareTo(other.range)) != 0) {
            return d;
        }

        return 0;
    }

    public ImportAttribute getAttribute() {
        return attribute;
    }

    public void setAttribute(ImportAttribute attribute) {
        this.attribute = attribute;
    }

    public ImportPosition getPosition() {
        return position;
    }

    public void setPosition(ImportPosition position) {
        this.position = position;
    }

    public ImportRange getRange() {
        return range;
    }

    public void setRange(ImportRange range) {
        this.range = range;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
